<?php

/**
 * Active Callbacks
 *
 * @package Supreme News
 */

// Theme Options.
function supreme_news_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'supreme_news_enable_pagination' )->value() );
}
function supreme_news_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'supreme_news_enable_breadcrumb' )->value() );
}

// Topbar Section.
function supreme_news_is_topbar_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'supreme_news_enable_topbar_section' )->value() );
}

// Flash News Section.
function supreme_news_is_flash_news_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'supreme_news_enable_flash_news_section' )->value() );
}
function supreme_news_is_flash_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_flash_news_content_type' )->value();
	return ( supreme_news_is_flash_news_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function supreme_news_is_flash_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_flash_news_content_type' )->value();
	return ( supreme_news_is_flash_news_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Banner Section.
function supreme_news_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'supreme_news_enable_banner_section' )->value() );
}
// Banner Section - Main Banner.
function supreme_news_is_main_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_main_news_content_type' )->value();
	return ( supreme_news_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function supreme_news_is_main_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_main_news_content_type' )->value();
	return ( supreme_news_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}
// Banner Section - Editor Choice.
function supreme_news_is_editor_choice_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_editor_choice_content_type' )->value();
	return ( supreme_news_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function supreme_news_is_editor_choice_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_editor_choice_content_type' )->value();
	return ( supreme_news_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}
// Banner Section - Featured News.
function supreme_news_is_featured_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_featured_news_content_type' )->value();
	return ( supreme_news_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function supreme_news_is_featured_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'supreme_news_featured_news_content_type' )->value();
	return ( supreme_news_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Check if static home page is enabled.
function supreme_news_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}
